mssql_pconnect
mssql_result
Mssql Functions
PHP Manual

# mssql_query

(PHP 4, PHP 5, PECL odbtp:1.1.1-1.1.4)

mssql_query — Send MS SQL query

### Description

mixed mssql_query ( string `$query` [, resource `$link_identifier` [, int `$batch_size` ]] )

mssql_query() sends a query to the currently active database on the server that's associated with the specified link identifier.

### Parameters

`query`

  A SQL query.

`link_identifier`

  A MS SQL link identifier, returned by mssql_connect() or mssql_pconnect().

  If the link identifier isn't specified, the last opened link is assumed. If no link is open, the function tries to establish a link as if mssql_connect() was called, and use it.

`batch_size`

  The number of records to batch in the buffer.

### Return Values

Returns a MS SQL result resource on success, `TRUE` if no rows were returned, or `FALSE` on error.

### Notes

> Note: If the query returns multiple results then it is necessary to fetch all results by mssql_next_result() or free the results by mssql_free_result() before executing next query.

### See Also

- mssql_select_db()
- mssql_connect()

mssql_pconnect
mssql_result
Mssql Functions
PHP Manual